task arcashla {
    File bam
    String base = basename(bam, ".sorted.bam")
    String docker
    String cluster

    command <<<
       mkdir hla_type
       /root/arcasHLA/arcasHLA extract ${bam} -o ${base} --paired -t 8 -v
       /root/arcasHLA/arcasHLA genotype ${base}/${base}.sorted.extracted.1.fq.gz ${base}/${base}.sorted.extracted.2.fq.gz hla_type/${base}.genotype.json
    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd 200 /cromwell_root/"
    }

    output {
      File extracted_1p = base + ".sorted.extracted.1.fq.gz"
      File extracted_2p = base + ".sorted.extracted.2.fq.gz"
      Array[File] hla_type = ["hla_type/${base}.genotype.json", "hla_type/${base}.genes.json", "hla_type/${base}.extract.log", "hla_type/${base}.genotype.log"]
    }

}

